Storyden
Notifications

Notification Update Many

Update the status of multiple notifications in a single request. This endpoint accepts a list of notification IDs with their new status values. Used for "Mark all as read".

PATCH
/notifications

Update the status of multiple notifications in a single request.

This endpoint accepts a list of notification IDs with their new status values. Used for "Mark all as read".

Authorization

cookiestoryden-session<token>

Request Body

application/json
  1. body
notifications*array<>

Response Body

OK

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
notifications*array<>
Example Request
curl -X PATCH 'https://example.com/api/notifications' \  -H 'Content-Type: application/json' \  -d '{  "notifications": [    {      "id": "string"    }  ]}'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "notifications": [    {      "id": "string",      "created_at": "2019-08-24T14:15:22Z",      "event": "global_thread_published",      "item": {        "kind": "post",        "ref": {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "misc": {},          "title": "string",          "description": "string",          "slug": "string",          "author": {            "id": "string",            "joined": "2019-08-24T14:15:22Z",            "suspended": "2019-08-24T14:15:22Z",            "handle": "string",            "name": "string",            "signature": "string",            "roles": [              {                "badge": true,                "default": true,                "id": "string",                "name": "string",                "colour": "string",                "meta": {}              }            ]          },          "visibility": "draft",          "assets": [            {              "id": "string",              "filename": "string",              "path": "string",              "mime_type": "string",              "width": 0,              "height": 0,              "parent": {}            }          ],          "reacts": [            {              "id": "string",              "emoji": "string",              "author": {                "id": "string",                "joined": "2019-08-24T14:15:22Z",                "suspended": "2019-08-24T14:15:22Z",                "handle": "string",                "name": "string",                "signature": "string",                "roles": [                  {                    "badge": true,                    "default": true,                    "id": "string",                    "name": "string",                    "colour": "string",                    "meta": {}                  }                ]              }            }          ],          "collections": {            "in_collections": 0,            "has_collected": true          },          "likes": {            "likes": 0,            "liked": true          },          "meta": {},          "body": "string",          "body_links": [            {              "id": "string",              "createdAt": "2019-08-24T14:15:22Z",              "updatedAt": "2019-08-24T14:15:22Z",              "deletedAt": "2019-08-24T14:15:22Z",              "misc": {},              "url": "string",              "slug": "string",              "domain": "string",              "title": "string",              "description": "string",              "favicon_image": {                "id": "string",                "filename": "string",                "path": "string",                "mime_type": "string",                "width": 0,                "height": 0,                "parent": {}              },              "primary_image": {                "id": "string",                "filename": "string",                "path": "string",                "mime_type": "string",                "width": 0,                "height": 0,                "parent": {}              },              "liveness_status": "unknown",              "liveness_checked_at": "2019-08-24T14:15:22Z",              "scrape_status": "pending",              "scrape_attempted_at": "2019-08-24T14:15:22Z",              "scraped_at": "2019-08-24T14:15:22Z"            }          ]        }      },      "source": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "target": "string",      "status": "unread"    }  ]}